@echo off
IF "%OS%" == "Windows_NT" setlocal
setLocal EnableDelayedExpansion
IF "%SQUASH-TM_HOME%" == "" SET SQUASH-TM_HOME=..
IF "%SERVICE_LOG_DIR%" == "" SET SERVICE_LOG_DIR=%SQUASH-TM_HOME%\logs\service

IF %1 == start GOTO doStart
IF %1 == stop GOTO doStop

:doStart
:: Start the service
echo Starting the service 'Squash-TM' ...
call %SQUASH-TM_HOME%\bin\startup.bat
EXIT /B 0

:doStop
:: Stop the service
echo Stopping the service 'Squash-TM' ...

FOR /F %%P IN (%SERVICE_LOG_DIR%\squash-tm.pid) DO SET pid=%%P
IF %pid% == "" (
	EXIT /B 2
) ELSE (
	taskkill /F /T /PID %pid%
)
exit /B 0
